﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace CellSelect
{
    class MyCreation:IUIElementCreationFilter
    {
        private string columnKey;

        public MyCreation(string columnKey)
        {
            // TODO: Complete member initialization
            this.columnKey = columnKey;
        }

        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is EditorWithTextDisplayTextUIElement)
            {CellUIElement cell = parent.GetAncestor(typeof( CellUIElement)) as CellUIElement;
            if (cell != null && cell.Column.Key == columnKey && cell.Cell.IsActiveCell)
                parent.Parent.ChildElements.Remove(parent);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
          
            return false;
        }

        #endregion
    }
}
